import React from 'react';
import PropTypes from 'prop-types';
import Avatar from '../Avatar';
import { StyledCounter } from './styled';
import getSuffixSI from '../../libs/utils/getSuffixSI';
const Counter = ({ avatars = [], size = 'medium' }) => {
    const total = getSuffixSI(avatars.length);
    return (<StyledCounter size={size}>
            <Avatar size={size} initials={total}/>
        </StyledCounter>);
};
Counter.propTypes = {
    size: PropTypes.oneOf(['large', 'medium', 'small', 'x-small']),
    avatars: PropTypes.array,
};
Counter.defaultProps = {
    size: 'medium',
    avatars: [],
};
export default Counter;
