import React, { ReactNode } from 'react';
import { BaseProps } from '../types';
import { positionOverlay, variantOverlay, overlapOverlay } from './types';
interface Props extends BaseProps {
    children?: ReactNode;
    isHidden?: boolean;
    overlap?: overlapOverlay;
    position?: positionOverlay;
    value?: string | number;
    variant?: variantOverlay;
}
/**
 * Badge Overlay is used to show small numerical value or status descriptors
 * for UI elements. Normally appears in proximity to notifications or
 * user avatars with eye-catching appeal, typically displaying unread messages count.
 */
declare const BadgeOverlay: React.FC<Props>;
export default BadgeOverlay;
