import React, { ReactNode } from 'react';
import { TextInputProps, StyleProp, ViewStyle } from 'react-native';
import { IconPosition } from '../types';
declare type BaseInputProps = Pick<TextInputProps, Exclude<keyof TextInputProps, 'onChange' | 'onFocus' | 'onBlur'>>;
export interface Props extends BaseInputProps {
    label?: ReactNode;
    onChange?: (value: string) => void | undefined;
    onFocus?: (value?: string) => void | undefined;
    onBlur?: (value?: string) => void | undefined;
    value?: string;
    placeholder?: string;
    disabled?: boolean;
    error?: ReactNode;
    type?: 'text' | 'username' | 'email' | 'password';
    icon?: ReactNode;
    iconPosition?: IconPosition;
    style?: StyleProp<ViewStyle>;
    [key: string]: unknown;
}
declare const Input: React.ForwardRefExoticComponent<Pick<Props, keyof Props> & React.RefAttributes<any>>;
export default Input;
